Mailinglist Archive: opensuse-factory (206 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180903 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180903

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
akonadi-server
attr (2.4.47 -> 2.4.48)
bash-completion (2.7 -> 2.8)
bzip2
dbus-1 (1.12.6 -> 1.12.10)
dbus-1-x11 (1.12.6 -> 1.12.10)
grub2
hexchat (2.14.1 -> 2.14.2)
kcmutils
kdevelop5
krita
libHX (3.22 -> 3.23)
libqt5-qtbase
pam
postfix
python-kiwi (9.16.6 -> 9.16.12)
rpm-config-SUSE
rtl8812au (5.2.20_k4.18.5_1 -> 5.2.20.2_k4.18.5_1)
schily (2018.05.25 -> 2018.08.24)
valgrind
xfce4-branding-openSUSE
xmlgraphics-commons (2.1 -> 2.3)
xmlgraphics-fop

=== Details ===

==== akonadi-server ====
Subpackages: akonadi-server-lang akonadi-server-sqlite libKF5AkonadiAgentBase5
libKF5AkonadiCore5 libKF5AkonadiPrivate5 libKF5AkonadiWidgets5 libKF5AkonadiXml5

- Add upstream patch to fix crashes under certain circumstances,
e.g. when searching: (kde#397239)
* Fix-crash-when-NotificationCollector-does-not-have-Connection.patch

==== attr ====
Version update (2.4.47 -> 2.4.48)
Subpackages: libattr1 libattr1-32bit

- Replace unspecific boilerplate summary from years ago.
- Remove obsolete Obsolete lines
- Drop static subpackage, nothing in TW depends on it Deb/RH do not
provide it either
- Rely on simple upstream make install target
- Run tests
- Update to 2.4.48:
* Provide default xattr.conf
* Update buildsystem to reflect current autotools state
* Small test updates
* Remove various deprecated sections like attr/attr.h
- Update keyring, Mike Frysinger released this version
- Add patch to have tests working with newer perls:
* 0001-attr-2.4.48-test-suite-perl.patch

==== bash-completion ====
Version update (2.7 -> 2.8)

- Update to version 2.8:
* Comma separated opt arg completion improvements
* Protect _known_hosts_real from user input treated as options
* Protect shopt reset from non-default $IFS
* Add support for .lz4 extension to file-roller (#158)
* Add support for .lzo extension (--lzop) to tar (#155)
* Bump copyright years to -2018
* README.md: Whitespace cleanup
* Whitespace
* __expand_tilde_by_ref: Eval tilde expansion only, simplify
* __load_completion: Code cleanup
* __load_completion: Load "xspec" completions dynamically too
* _avaiable_interfaces: Get rid of eval
* _expand: Reuse __expand_tilde_by_ref and _tilde logic, clean up
* _known_hosts_real: Add option to filter IPv4 and IPv6 addresses
* _known_hosts_real: Document -a better
* alias: Fix completion followed by = (#146)
* apt-get: Complete *.deb on install if argument contains a slash
* aptitude-curses: Use aptitude completion
* aptitude: Add keep to commands list (Debian: #867587)
* bzip2, gzip, and other compressors: Use _tilde instead of _expand
* ccze: New completion
* cryptsetup: Update option lists
* curl: Fix -x etc option argument hostname completion
* dd, find, gcc: Remove unnecessary tilde expansion
* dd: Omit space only when offering one completion ending with =
* dpkg-query: Fix -W/--show completion
* dpkg: Add -V/--verify arg completion
* dpkg: Complete --vextract on deb files
* dpkg: Fix man page section in comment
* ebtables: new completion (#150)
* flake8: Various option arg completion improvements
* geoiplookup: New completion
* getconf: New completion
* groupdel: Parse and handle long options
* info, man, rsync: Defer _expand invocation
* iptables: Avoid stderr trashing when invoked as non-root
* iptables: Parse options from --help output
* iptables: Use invoked command instead of hardcoded "iptables"
* java: Complete *.war
* kldunload: Increase robustness of compgen filters (#185)
* kldunload: Show modules with digits
* ktutil: Don't leak i and command environment variables
* lftp: Support ~/.local/... bookmark location (#144)
* lowriter,localc etc: Use corresponding oo* completions
* lspci: New completion
* lsscsi: New completion
* lsusb: New completion
* make-changelog.py: Use python3
* make: Pass script to sed as parameter instead of using process substitution
* man: Don't use $MANPATH directly (#161)
* mkdir: Complete files without appending space
* mkdir: Complete on files in addition to dirs
* mplayer: Disable user config when parsing options
* nproc: New completion
* oggdec: New completion
* openssl: Add completion for the genpkey, pkey, pkeyparam, and pkeyutl
commands
* perltidy: New completion
* ping*,ssh,scp,sftp,tracepath6: Filter IPv4/IPv6 literal addresses
* pv: New completion
* pycodestyle: New completion
* pylint: Install for pylint-2 and pylint-3 too
* pylint: Invoke python3 to search for modules if command contains 3
* python: Support completing dotted module hierarchies
* radvdump: New completion
* reportbug: Add -A/--attach arg completion
* reportbug: Don't hardcode option lists, split option args at =
* rfkill: Rename to _rfkill to avoid conflict with util-linux >= 2.31
* ri: Fix integrated ri 1.8 class completion
* ssh,ssh-add,ssh-keygen: Complete pkcs11 options with *.so
* ssh-keygen: Add -E arg completion
* ssh: Add -J/ProxyJump completion
* ssh: Declare $prefix closer to use
* test suite: Add basic hid2hci and munin-node-configure test cases
* test suite: Add bunch of man and MANPATH test cases
* test suite: Add bunch of missing basic test cases
* test suite: Add info and pinfo option test cases
* test suite: Drop no longer needed fedoradev /usr/bin/which workaround
* test suite: Enable wine in ubuntu14
* test suite: Install aptitude in ubuntu14 container
* test suite: Limit amount of info and pinfo test output
* test suite: Limit amount of output from process name completion
* test suite: Limit number of screen -T completion matches
* test suite: Make man test subject names less generic
* test suite: Skip fedoradev GPG checks at least for now
* test suite: Some more mplayer and mencoder coverage
* test suite: Support overriding default match buffer size (#141)
* test suite: man cleanup
* test/docker: Tweak work dir, add bash as default cmd
* test/unit: Whitespace tweaks
* test: Add "postconf -" test case
* test: Add assert_complete_homedir, use in dpkg and ls
* test: Add files to test older ri with
* test: Add some _expand unit tests
* test: Add some comments regarding bash init in library.exp
* test: Fix getting username in non-login shells
* test: Ignore duplicates in find_unique_completion_pair list
* test: Remove things moved to library.exp from bashrc
* test: Try to skip postconf variable test on broken postfix configs
altogether
* test: Use prebuilt docker hub bash-completion images
* test: Work around broken centos/fedora postfix config in non-IPv6 setup
* test: dpkg,ls,_tilde: Skip gracefully if no uniq user for completion is
found
* test: run bash with --norc to avoid system bashrc
* tox: Avoid stderr spewage when -e invoked without tox.ini
* tox: Complete comma separated -e arguments
* tox: Include ALL in -e completions
* tox: New completion (#163)
* tox: Remove spurious executable bits
* unzip, zipinfo: Associate *.gar (#165)
* uscan: Don't leak cword and words environment variables
* vpnc: Add some option argument (non)completions
* vpnc: Improve config completions
* xdg-mime,xdg-settings: Fix inclusion in tarball
* xdg-mime: New completion
* xdg-settings: New completion
* xine etc, ogg123, mplayer -audiofile: Associate with *.oga
* xm: Don't leak args and commands environment variables

==== bzip2 ====
Subpackages: libbz2-1 libbz2-1-32bit libbz2-devel

- Replace the URL. The bzip.org owner changed.
- Remove the URL from the 'Source' line. The 1.0.6 version is not
available.
- Run spec-cleaner.

==== dbus-1 ====
Version update (1.12.6 -> 1.12.10)
Subpackages: libdbus-1-3 libdbus-1-3-32bit

- Update to 1.12.10
* Changelog for 1.12.10
? Prevent reading up to 3 bytes beyond the end of a truncated message.
This could in principle be an information leak or denial of service
on the system bus, but is not believed to be exploitable to crash
the system bus or leak interesting information in practice.
(fd.o #107332, Simon McVittie)
? Fix build with gcc 8 -Werror=cast-function-type
(fd.o #107349, Simon McVittie)
? Fix warning from gcc 8 about suspicious use of strncpy() when
populating struct sockaddr_un (fd.o #107350, Simon McVittie)
? Fix a minor memory leak when a DBusServer listens on a new address
(fd.o #107194, Simon McVittie)
? Fix an invalid NULL argument to rmdir() if a nonce-tcp DBusServer
runs out of memory (fd.o #107194, Simon McVittie)
? Don't use misleading errno-derived error names if getaddrinfo() or
getnameinfo() fails with a code other than EAI_SYSTEM
(fd.o #106395, Simon McVittie)
? Skip tests that require working TCP if we are in a container environment
where 127.0.0.1 cannot be resolved (fd.o #106812, Simon McVittie)
* Changelog for 1.12.8
? The Devhelp documentation index is now in version 2 format
(fd.o #106186, Simon McVittie)
? Give the dbus-daemon man page some scarier warnings about
<allow_anonymous/> and non-local TCP, which are insecure and should
not be used, particularly for the standard system and session buses
(fd.o #106004, Simon McVittie)
? Fix installation of Ducktype documentation with newer yelp-build
versions (fd.o #106171, Simon McVittie)

==== dbus-1-x11 ====
Version update (1.12.6 -> 1.12.10)

- Update to 1.12.10
* Changelog for 1.12.10
? Prevent reading up to 3 bytes beyond the end of a truncated message.
This could in principle be an information leak or denial of service
on the system bus, but is not believed to be exploitable to crash
the system bus or leak interesting information in practice.
(fd.o #107332, Simon McVittie)
? Fix build with gcc 8 -Werror=cast-function-type
(fd.o #107349, Simon McVittie)
? Fix warning from gcc 8 about suspicious use of strncpy() when
populating struct sockaddr_un (fd.o #107350, Simon McVittie)
? Fix a minor memory leak when a DBusServer listens on a new address
(fd.o #107194, Simon McVittie)
? Fix an invalid NULL argument to rmdir() if a nonce-tcp DBusServer
runs out of memory (fd.o #107194, Simon McVittie)
? Don't use misleading errno-derived error names if getaddrinfo() or
getnameinfo() fails with a code other than EAI_SYSTEM
(fd.o #106395, Simon McVittie)
? Skip tests that require working TCP if we are in a container environment
where 127.0.0.1 cannot be resolved (fd.o #106812, Simon McVittie)
* Changelog for 1.12.8
? The Devhelp documentation index is now in version 2 format
(fd.o #106186, Simon McVittie)
? Give the dbus-daemon man page some scarier warnings about
<allow_anonymous/> and non-local TCP, which are insecure and should
not be used, particularly for the standard system and session buses
(fd.o #106004, Simon McVittie)
? Fix installation of Ducktype documentation with newer yelp-build
versions (fd.o #106171, Simon McVittie)

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin
grub2-x86_64-efi grub2-x86_64-xen

- Fix overflow in sector count calculation (bsc#1105163)
* grub2-msdos-fix-overflow.patch

==== hexchat ====
Version update (2.14.1 -> 2.14.2)
Subpackages: hexchat-lang

- update to 2.14.2
* remove shift+click binding to close tabs
* re-add option to build against legacy perl
* add appstream metainfo for plugins
* add build option to set perl binary
* add option to build without appstream
* fix not unminimizing when restoring from tray
* fix translations containing invalid text events
* fix server passwords starting with :
* update libraries on windows, fixing CVE-2018-15120 (and emoji!)

==== kcmutils ====
Subpackages: libKF5KCMUtils5 libKF5KCMUtils5-lang

- Add patch to fix default size of kcms (kde#389585):
* 0001-Use-custom-QScrollArea-with-size-hint-not-limited-by.patch

==== kdevelop5 ====
Subpackages: kdevelop5-lang kdevplatform kdevplatform-lang libkdevplatform52

- Add requirements for kdevplatform-devel which are not detected
automatically.
- Add kdevplatform-reduce-dependencies.diff to prevent adding
unneeded requirements to the kdevplatform-devel package.
- Run spec-cleaner

==== krita ====
Subpackages: krita-lang

- Add fix-build-with-dcraw-0.19.patch to fix compilation with the
latest libraw
- Remove unnecessary libkdcraw-devel BuildRequires, krita doesn't
use it anymore since a while

==== libHX ====
Version update (3.22 -> 3.23)
Subpackages: libHX28 libHX28-32bit

- Update to new upstream release 3.23
* opt parser: Support long option abbreviations.
* io: Deprecate use of readdir_, use readdir.

==== libqt5-qtbase ====
Subpackages: libQt5Concurrent5 libQt5Core5 libQt5DBus5 libQt5Gui5
libQt5Network5 libQt5OpenGL5 libQt5PrintSupport5 libQt5Sql5 libQt5Sql5-mysql
libQt5Sql5-sqlite libQt5Test5 libQt5Widgets5 libQt5Xml5
libqt5-qtbase-platformtheme-gtk3

- Pass CFLAGS and CXXFLAGS to configure explicitly to ensure that
they are used

==== pam ====
Subpackages: pam-32bit pam-devel

- Add libdb as build-time dependency to enable pam_userdb module.
This module is useful for implementing virtual user support for
vsftpd and possibly other daemons, too. [bsc#929711, fate#322538]

==== postfix ====
Subpackages: postfix-doc

- Add zlib-devel as buildrequires, previously included from
openssl-devel

==== python-kiwi ====
Version update (9.16.6 -> 9.16.12)

- Bump version: 9.16.11 ? 9.16.12
- Follow up fix for skip_cleanup use
make sure doc_travis tox target has created the manual
pages such that the environment contains this data
- Bump version: 9.16.10 ? 9.16.11
- Use skip_cleanup for deploy stage in travis
We need the tox build environment to run the deployment
- Bump version: 9.16.9 ? 9.16.10
- Follow up fix for deploy target
Integration of man pages must be done as part of the sdist
setup because the travis pypi deployment only uses the
sdist target to bundle the sources
- Bump version: 9.16.8 ? 9.16.9
- Fixed deploy target
As part of the deploy process in travis a bundle to pypi is
uploaded. The bundle is missing the compiled manual pages because
the doc_travis stage did not create them.
- Bump version: 9.16.7 ? 9.16.8
- Update pxe server setup documentation
Delete the suggested modifications to /etc/sysconfig/atftpd
and trust the defaults provided by the package
- Added support for system wide config file
If there is no user specific config file we are also
looking for a system wide /etc/kiwi.yml file
- use more meaningful variable names
- Fix baseStripUnusedLibs config method
This commit arguments handling of the baseStripUnusedLibs
that was not prepared to handle quoted variable containing a list.
Fixes #798
- Added doc chapter for remote live boot
- Added support for pxe live boot via AOE
The live ISO should support a network reference. We are using
the Ata Over Ethernet protocol to achieve this. In combination
with pxe boot of the kernel/initrd a live iso can boot from
the network using the following parameter example:
root=live:AOEINTERFACE:e0.1 rd.kiwi.live.pxe
Export of the live iso file via AOE can be achieved using the
vblade toolkit which needs to be available on the exporting
system and compatible with the live operating system.
This Fixes #796
- Run schema validation/update per XSL stylesheets
- Added XSL stylesheet to auto update schema
Drop oem-ataraid-scan from oemconfig if specified
- Update vagrant doc chapter redirect links
- Drop oem-ataraid-scan from schema
Along with the change we pin generateDS version to 2.29.14
because the newer version (2.29.19) creates broken python
syntax for elements with a value list for their content
like it's the case for the packagemanager element. The
tool uses the name k.packagemanager.content as class name
which is invalid for python.
- Delete dmraid aka: softraid soft/fakeraid support
In fate#323743 the decision was made to drop dmraid from
the distribution. Along with the low business case for those
controllers and the support for linux softraid via mdadm
we also drop the support in kiwi for oem-ataraid-scan
- Fixed unresolvables in EC2 integration build
For some reason libyui-ncurses-pkg8 is gone now
- Fixed unresolvables in integration builds
For some reason libyui-ncurses-pkg8 is gone now
- Bump version: 9.16.6 ? 9.16.7
- update vagrant doc chapter per review by Tom
- Added vagrant setup chapter in the docs
Document steps to create a vagrant box for the libvirt
provider. Also provide information on provider support
This Fixes #792
- Use xattr 0.9.3
Latest xattr is broken on pip
- Fixed make obs_test_status
The helper script .obs_test_status looks up the build
results from the integration tests. With the introduction
of multibuild integration tests the script has to apply
some modifications to get the correct results
This is related to Issue #791

==== rpm-config-SUSE ====

- Break build cycle with rpm

==== rtl8812au ====
Version update (5.2.20_k4.18.5_1 -> 5.2.20.2_k4.18.5_1)

- Add new supported hardware to the preamble file
- Update to version 5.2.20.2
* Update phydm to improve TP stability
* Support WiFi-HAL for Android 8
* Build with kernel 4.19
- Drop patch allow-reproducible-builds.patch which was
merged upstream by gordboy
- Fix build with Leap 15 by parsing correctly the lp150 suffix

==== schily ====
Version update (2018.05.25 -> 2018.08.24)
Subpackages: libdeflt1_0 librmt1_0 libschily1_0 spax star

- Update to new upstream release 2018.08.24
* star: SELinux support has been added.
* star: dotdot atacks are now also detected if they are based
on DOS filesystem semantics.
* star: Added a new check for the exit code of the compress
program.
* star: A hard EOF on input now results in a non-zero exit code.
* star: Now defaults to use "ssh" for the remote tape interface.
* star: There is now a way to make -no-fsync the default
behavior to avoid slow operation on platforms with slow
buffer cache.
* librmt: added a way to configure the remote shell and the
remote tape server path.
* star: support for unlimited file path length.
* libschily: a new set of gt*() and fgt*() functions with
gettext() support have been added.
* Bourne Shell: avoid a core dump with missing HOME.
* libfind: added a new primary "-call" that allows to call back
into the program instead of calling exec().
* libfind: new primaries -newerat, -newermt, -newerct.
- Remove schily-2018-05-25_star_detect_gzip_failures.patch,
schily-2018-05-25_star_use_ssh_by_default.patch,
schily-2018-05-25_star_no_fsync.patch,
schily-2018-05-25_star_selinux.patch
(merged upstream)
- Remove schily-2018-05-25_star_mk.patch (no longer needed)
- Drop Conflicts against cpio-mt/tar-rmt, since update-alternatives
is used as an arbitraring mechanism.
- Add Provides: mt, rmt.

==== valgrind ====

- Filter out -m64 from optflags, breaks build of 32 bit parts
- Cleanup, remove suse_version < 1100 conditionals
- Use %license for COPYING, COPYING.DOCS
- Fix missing debuginfo with current binutils, boo#1103239
0001-Accept-read-only-PT_LOAD-segments-and-.rodata.patch

==== xfce4-branding-openSUSE ====
Subpackages: exo-branding-openSUSE libgarcon-branding-openSUSE
libxfce4ui-branding-openSUSE midori-branding-openSUSE openSUSE-xfce-icon-theme
thunar-volman-branding-openSUSE xfce4-notifyd-branding-openSUSE
xfce4-panel-branding-openSUSE xfce4-power-manager-branding-openSUSE
xfce4-session-branding-openSUSE xfce4-settings-branding-openSUSE
xfdesktop-branding-openSUSE xfwm4-branding-openSUSE

- xfce4-panel-branding-openSUSE:
* add statusnotifier plugin
* add notification plugin (from xfce4-notifyd)
- revert last change, branding package has been fixed
- fix openSUSE splash screen

==== xmlgraphics-commons ====
Version update (2.1 -> 2.3)

- Do not run target maven_artifacts as it just copies file from a->b
and fails with newer ant
- Update to version 2.3:
* no changelog available

==== xmlgraphics-fop ====

- Fix building with ant >= 1.9.12


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages